Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 56224 - Installer fails when creating map view.
Installer fails when creating map view.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks: 55081
  Show dependency treegraph
 
Reported: 2001-11-13 21:48 EST by Nigel Whatling
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-20 10:32:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Complete debug dump from Anaconda. (33.40 KB, text/plain)
2001-11-13 21:50 EST, Nigel Whatling
no flags Details

  None (edit)
Description Nigel Whatling 2001-11-13 21:48:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET CLR 
1.0.2914)

Description of problem:
This error was encountered after selecting locales. The next stage would 
be selecting the time zone (hence the 'map view').

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
NOTE: Only occurs in graphical installation mode. Text mode works fine.

1. Boot from installation CD. Press ENTER for default graphical install.
2. Proceed through configuration.
3. Time zone selection crashes with an error report.

Actual Results:  Installer fails.

Expected Results:  Should have produced a nice world maps with pretty dots 
on it so that you can select your time zone.

Additional info:

Basic error output:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 620, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/gui.py", line 350, in run
    self.icw.run (self.runres, configFileData)
  File "/usr/lib/anaconda/gui.py", line 778, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2608, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__
    ret = apply(self.func, a)
  File "/usr/lib/anaconda/gui.py", line 402, in nextClicked
    self.setScreen ()
  File "/usr/lib/anaconda/gui.py", line 526, in setScreen
    new_screen = apply(self.currentWindow.getScreen, args)
  File "/usr/lib/anaconda/iw/timezone_gui.py", line 144, in getScreen
    tz = timezonemap.new (path)
TypeError: Could not create map view.
Comment 1 Nigel Whatling 2001-11-13 21:50:42 EST
Created attachment 37462 [details]
Complete debug dump from Anaconda.
Comment 2 Brent Fox 2001-11-20 20:59:52 EST
Weird, but I see from your other bug report that the md5sums match.  This is
very strange.  The installer is looking for a file on the cd, but it can't find
it.  This is almost always indicative of a bad cd, but there must be another
problem in your case since the md5sums match.  I must admit that I'm stumped.

If you can try starting the graphical installer again (you don't have to do an
install, just boot up into the installer) and press <Ctrl><Alt><F2>.  Then type
"ls -l /usr/share/anaconda/pixmaps/map480.png"  What does the output of that
command look like?  Is the file even there?
Comment 3 Nigel Whatling 2001-11-20 21:20:21 EST
Output:

-r-xr-xr-x    1 root     0           134252 Jan  1  
1970 /usr/share/anaconda/pixmaps/map480.png
Comment 4 Nigel Whatling 2001-12-09 17:33:17 EST
Any thoughts??
Comment 5 Michael Fulbright 2002-01-15 16:51:28 EST
Is there more to the traceback? Usually the values of variables is included.
Comment 6 Nigel Whatling 2002-01-15 18:07:24 EST
All I have is the dump file that Anaconda produced (attached earlier).
Comment 7 Brent Fox 2002-01-20 10:23:59 EST
Here's an idea...it might not make a difference, but it's worth a try.  It looks
like the kernel is having trouble reading from the cdrom drive.  It looks like
the cdrom is on the primary IDE controller as the slave device.  Try switching
the cdrom drive to being the master device on the secondary IDE controller. 
Does that help?
Comment 8 Brent Fox 2002-01-20 10:32:21 EST
If that doesn't work, try booting the installer with 'linux ide=nodma'.  Does
that help?
Comment 9 Brent Fox 2002-01-30 12:23:42 EST
Closing due to inactivity.  Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.